Bug 1689159 (CVE-2019-5418) - CVE-2019-5418 rubygem-actionpack: render file directory traversal in Action View
Summary: CVE-2019-5418 rubygem-actionpack: render file directory traversal in Action View
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-5418
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1689161 1690394 1690397 1690399 1690401 1695968 1695969 1695970 1695971
Blocks: 1689162
TreeView+ depends on / blocked
 
Reported: 2019-03-15 10:28 UTC by Andrej Nemec
Modified: 2019-09-29 15:09 UTC (History)
19 users (show)

Fixed In Version: rubygem-actionview 6.0.0.beta3, rubygem-actionview 5.2.2.1, rubygem-actionview 5.1.6.2, rubygem-actionview 5.0.7.2, rubygem-actionview 4.2.11.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-13 09:43:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0796 None None None 2019-04-23 07:46:22 UTC
Red Hat Product Errata RHSA-2019:1147 None None None 2019-05-13 08:52:10 UTC
Red Hat Product Errata RHSA-2019:1149 None None None 2019-05-13 09:11:31 UTC
Red Hat Product Errata RHSA-2019:1289 None None None 2019-05-29 12:41:11 UTC

Description Andrej Nemec 2019-03-15 10:28:45 UTC
There is a possible file content disclosure vulnerability in Action View.
Specially crafted accept headers in combination with calls to `render file:`
can cause arbitrary files on the target server to be rendered, disclosing the
file contents.

External References:

https://groups.google.com/forum/#!msg/rubyonrails-security/pFRKI96Sm8Q/IhpRq9D2CgAJ
https://github.com/mpgn/CVE-2019-5418

Comment 1 Andrej Nemec 2019-03-15 10:30:39 UTC
Created rubygem-actionview tracking bugs for this issue:

Affects: fedora-all [bug 1689161]

Comment 2 Andrej Nemec 2019-03-15 10:32:30 UTC
References:

https://seclists.org/oss-sec/2019/q1/178

Comment 6 Jun Aruga 2019-03-26 14:31:44 UTC
Note the patch to fix this issue is same with CVE-2019-5419.

Comment 9 Stefan Cornelius 2019-04-02 11:50:03 UTC
Statement:

This issue did affect the versions of rh-ror42-rubygem-actionpack and rh-ror50-rubygem-actionpack as shipped with Red Hat Software Collections.

Comment 12 errata-xmlrpc 2019-04-23 07:46:21 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.10

Via RHSA-2019:0796 https://access.redhat.com/errata/RHSA-2019:0796

Comment 14 errata-xmlrpc 2019-05-13 08:52:09 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1147 https://access.redhat.com/errata/RHSA-2019:1147

Comment 15 errata-xmlrpc 2019-05-13 09:11:30 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:1149 https://access.redhat.com/errata/RHSA-2019:1149

Comment 16 errata-xmlrpc 2019-05-29 12:41:10 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.9

Via RHSA-2019:1289 https://access.redhat.com/errata/RHSA-2019:1289


Note You need to log in before you can comment on or make changes to this bug.